# boost::numeric::ublas::scalar_traits< T > Struct Template Reference

Inherited by boost::numeric::ublas::type_traits< T >.

List of all members.

## Public Types

typedef scalar_traits< T > | self_type
typedef T | value_type
typedef const T & | const_reference
typedef T & | reference
typedef T | real_type
typedef real_type | precision_type

## Static Public Member Functions

static BOOST_UBLAS_INLINE real_type | real (const_reference t)
static BOOST_UBLAS_INLINE real_type | imag (const_reference)
static BOOST_UBLAS_INLINE value_type | conj (const_reference t)
static BOOST_UBLAS_INLINE real_type | type_abs (const_reference t)
static BOOST_UBLAS_INLINE value_type | type_sqrt (const_reference t)
static BOOST_UBLAS_INLINE real_type | norm_1 (const_reference t)
static BOOST_UBLAS_INLINE real_type | norm_2 (const_reference t)
static BOOST_UBLAS_INLINE real_type | norm_inf (const_reference t)
static BOOST_UBLAS_INLINE bool | equals (const_reference t1, const_reference t2)

## Static Public Attributes

static const unsigned | plus_complexity = 1
static const unsigned | multiplies_complexity = 1

### template<class T>
struct boost::numeric::ublas::scalar_traits< T >